Subject: Re: [PATCH] tests: make SANITIZE=address imply TEST_NO_MALLOC_CHECK

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Apr 2022 16:07:17 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I wonder why we have to justify that we'll only turn on
> TEST_NO_MALLOC_CHECK if it's SANITIZE=address.
>
> I.e. we also have SANITIZE=undefined, wouldn't it be more future-proof
> to just say that these analysis options are mutually exclusive by
> default?

Given that the SANITIZE mechanism itself allows more than one to be
requested at the same time, it is unclear to me why other checks
like undefined needs to exclude checks done by other mechanisms like
MALLOC_CHECK_ by default.  If I correctly read under-the-three-dash
commentary Phillip wrote, it's not like that use of MALLOC_CHECK_
inherently interferes with the way SANITIZE=undefined wants to work,
no?